// POSystemsDlg.cpp : implementation file
//

#include "stdafx.h"
#include "POSystems.h"
#include "POSystemsDlg.h"
#include "DialogCashReg.h"
#include "DialogAdmin.h"
#include "DialogManager.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();
	
// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPOSystemsDlg dialog

CPOSystemsDlg::CPOSystemsDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CPOSystemsDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CPOSystemsDlg)
	m_Password = _T("");
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CPOSystemsDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPOSystemsDlg)
	DDX_Text(pDX, IDC_EDIT_EmpID, m_EmpID);
	DDV_MaxChars(pDX, m_EmpID, 8);
	DDX_Text(pDX, IDC_EDIT_PASSWORD, m_Password);
	DDV_MaxChars(pDX, m_Password, 8);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CPOSystemsDlg, CDialog)
	//{{AFX_MSG_MAP(CPOSystemsDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_OK, OnClickedOk)
		//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPOSystemsDlg message handlers

BOOL CPOSystemsDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CPOSystemsDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CPOSystemsDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CPOSystemsDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CPOSystemsDlg::OnOK() 
{

//	CDialog::OnOK();
}

void CPOSystemsDlg::OnClickedOk() 
{
	UpdateData(TRUE);

	if ((m_EmpID != "staff001")
		&& (m_EmpID != "staff014")
		&& (m_EmpID != "admin001"))
	{
		AfxMessageBox("Invalid Employee ID.");
		m_EmpID = "";
		m_Password = "";
		UpdateData(FALSE);
	}

	if ((m_EmpID == "staff001")
		&& (m_Password == "staff001"))
	{	
		CDialogManager ManagerDlg;
		ManagerDlg.m_EmpID = m_EmpID;
		if (ManagerDlg.DoModal() == IDOK)
			{
				m_EmpID = "";
				m_Password = "";
				UpdateData(FALSE);
			}
	}
	else if (((m_EmpID == "staff001")
		&& (m_Password != "staff001"))
		&& ((m_Password != "staff001")
		&& (m_EmpID == "staff001")))    // password incorrect
	{
		CString msg;
		
		msg = "Incorrect password. Please try again.";
		AfxMessageBox (msg);	
		m_EmpID = "";
		m_Password = "";
		UpdateData(FALSE);
	}

	if ((m_EmpID == "staff014")
		&& (m_Password == "staff014"))    // password correct
	{	
		CDialogCashReg cashregDlg;
		cashregDlg.m_EmpID = m_EmpID;
		if (cashregDlg.DoModal() == IDOK)
			{
				m_EmpID = "";
				m_Password = "";
				UpdateData(FALSE);
			}
	}
	else if (((m_EmpID == "staff014")
		&& (m_Password != "staff014"))
		&& ((m_Password != "staff014")
		&& (m_EmpID == "staff014")))   // password incorrect
	{
		CString msg;
		
		msg = "Incorrect password. Please try again.";
		AfxMessageBox (msg);	
		m_EmpID = "";
		m_Password = "";
		UpdateData(FALSE);
	}

	if ((m_EmpID == "admin001")
		&& (m_Password == "admin001"))    // password correct
	{	
		DialogAdmin sysAdminDlg;
		sysAdminDlg.m_EmpID = m_EmpID;
		if (sysAdminDlg.DoModal() == IDOK)
			{
				m_EmpID = "";
				m_Password = "";
				UpdateData(FALSE);
			}
	}
	else if (((m_EmpID == "admin001")
		&& (m_Password != "admin001"))
		&& ((m_Password != "admin001")
		&& (m_EmpID == "admin001")))   // password incorrect
	{
		CString msg;
		
		msg = "Incorrect password. Please try again.";
		AfxMessageBox (msg);	
		m_EmpID = "";
		m_Password = "";
		UpdateData(FALSE);
	}
}
